<?php

	class PlgContentCalendario extends JPlugin
	{

		public function __construct(& $subject, $config)
		{
			parent::__construct($subject, $config);
			$this->loadLanguage();
		}

		public function onContentPrepareForm($form, $data)
		{
			$app = JFactory::getApplication();
			if(!$app->isAdmin()){
				return true;
			}
			if (!($form instanceof JForm))
			{
				$this->_subject->setError('JERROR_NOT_A_FORM');
				return false;
			}
			if($form->getName() != 'com_content.article'){
				return true;
			}
			JForm::addFormPath(dirname(__FILE__) . '/calendario');
			$form->loadFile('calendario', false);
			return true;
		}
	}
